<template>
  <div class="mar-70x xs-mar-10x">
    <div style="width:100%;height:700px">
      <div style="padding:10px; text-align:right">
        <el-button
          type="primary"
          @click="getNewLocation"
        >
          Update Route
        </el-button>
        <el-button
          type="primary"
          @click="getBroadcast"
        >
          SOS
        </el-button>
      </div>
      <iframe
        style="width:100%;height:100%"
        src="https://34.93.11.92:3000/location_map"
        title="Geolaction"
      />
    </div>
  </div>
</template>

<script>

import axios from 'axios'
import baseUrl from '@/config'

export default {
  name: 'GoogleMap',
  data () {
    return {
      message: ''
    }
  },
  mounted () {

  },
  methods: {
    getBroadcast () {
      const URL = baseUrl.baseUrl_NodeProxy + '/broadcast'
      let locationDetails = {}
      if (navigator.geolocation) {
        navigator.geolocation.getCurrentPosition(position => {
          locationDetails.lat = position.coords.latitude
          locationDetails.lang = position.coords.longitude
          window.open('https://maps.google.com/?q=' + locationDetails.lat + ',' + locationDetails.lang, '_blank')
          console.log('latlog', locationDetails)
          axios.post(URL, locationDetails).then(response => {
            console.log('res', response.data)
          })
        })
      } else {
        alert('location service not working')
      }
    },
    afterUpdateLocation () {
      if (!this.$route.path.includes('/maps')) {
        this.$router.push('/maps')
      }
    },
    getNewLocation () {
      const URL = baseUrl.baseUrl_NodeProxy + '/update_location'
      axios.get(URL)
        .then(response => {
          console.log('res', response.data)
          this.$notify({
            title: 'Note',
            message: 'Location Updated.'
          })
          this.afterUpdateLocation()
        })
        .catch(error => {
          console.log('err', error.message)
          this.$notify({
            title: 'Note',
            message: 'Connection Issue.'
          })
        })
    }

  }
}
</script>

<style scoped lang="less">
.mar-70x {
  margin: 70px;
}
@media(max-width:900px) {
.xs-mar-10x {
  margin: 10px;
  margin-top: 70px;
}
}
</style>
